Nini Library API Reference - http://nini.sourceforge.net/ |

# IniReader Methods

The methods of the IniReader class are listed below. For a complete list of IniReader class members, see the IniReader Members topic.

#### Public Instance Methods

Close | Closes the current reader and frees the resources.
Dispose | Overloaded. Cleans up all managed and unmanaged resources for the instance.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAssignDelimiters | Returns the assign delimiters.
GetCommentDelimiters | Returns the comment delimiters.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
MoveToNextKey | Moves the reader to the next line.
MoveToNextSection | Moves the reader to the next section.
Read | Moves the reader to the next line.
SetAssignDelimiters | Sets the assign delimiters.
SetCommentDelimiters | Sets the comment delimiters.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Dispose | Overloaded. Cleans up all unmanaged resources for the instance and optionally the managed resouces as well.
Finalize | Destructor.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

IniReader Class | Nini.Ini Namespace | The System.Math class